#!/usr/bin/tclsh
# Program: losung.tcl
# Written by Andreas Kraska (C) 1998 (released under GNU licence)

regexp {\$Id. .*,v ([^ ]*) ([^ ]*) .*$} \
    {$Id: losung.tcl,v 0.2 1998/05/06 Andreas Exp $} \
    dummy  LOSUNGversion LOSUNGdate

# do some setup
set text_dir /usr/local/lib/tklosung

# Language selection en=english, de=deutsch
set LosungLang "en"

# mail with comments will be sent to this person
set maintainer andreas.kraska@hbs.regiocom.net

# get GNU's date
set LocalDate [exec date]


proc ReadRc {} {
    global env
    if {![catch {file readable $env(HOME)/.tklosungrc} result] && $result} {uplevel {source $env(HOME)/.tclosungrc}}
}    


proc ReadText {} {
    global text_dir LText LosungLang LTextEn LTextDe year
    if {$LosungLang == "en"} {
	if {![catch {file readable $text_dir/losung$year.en} result] && $result} {uplevel {source $text_dir/losung$year.en}}
	set LText $LTextEn
    } else {
	if {![catch {file readable $text_dir/losung$year.de} result] && $result} {uplevel {source $text_dir/losung$year.de}}
    	set LText $LTextDe
    }
}   


proc DateGet {} {
    global LocalDate today LosungLang LosungDay year
    if {$LosungLang == "en"} {
	set DSun "Sunday"; set DMon "Monday"; set DTue "Tuesday";
	set DWed "Wednesday"; set DThu "Thursday"; set DFri "Friday";
	set DSat "Saturday";
    } else {
	set DSun "Sonntag"; set DMon "Montag"; set DTue "Dienstag";
	set DWed "Mittwoch"; set DThu "Donnerstag"; set DFri "Freitag";
	set DSat "Samstag";
    }
    set d "$LocalDate"
    set wday [lindex $d 0]
    set longday(Sun) "$DSun";   set longday(Mon) "$DMon";
    set longday(Tue) "$DTue";  set longday(Wed) "$DWed";
    set longday(Thu) "$DThu"; set longday(Fri) "$DFri";
    set longday(Sat) "$DSat";
    set month [lindex $d 1]
    set monthno(Jan) "1";   set monthno(Feb) "2";
    set monthno(Mar) "3";   set monthno(Apr) "4";
    set monthno(May) "5";   set monthno(Jun) "6";
    set monthno(Jul) "7";   set monthno(Aug) "8";
    set monthno(Sep) "9";   set monthno(Oct) "10";
    set monthno(Nov) "11";  set monthno(Dec) "12";
    set dayno [lindex $d 2]
    set today "$dayno.$monthno($month)."
    set year [lindex $d 5]
    if {$LosungLang == "en"} {
	set LosungDay "$longday($wday), $year/$monthno($month)/$dayno"
    } else {	
	set LosungDay "$longday($wday), $dayno.$monthno($month).$year"
    }
}


proc LosungGet {} {
    global LosungToday LosungLang LText today
    set  te [split $LText ]
    foreach a $te {
    set  days [lindex $a 0]
	if {$today == $days} {
	    set totalL $a
	    set numtoday [expr [string length "$today"] + 1]
	    set LosungToday [string range "$totalL" $numtoday end] 
	} else {
	}
    }
}


# procedure to show Losung .
proc ShowLosung {args} {

  global LosungToday LosungDay

  puts "\n\n$LosungDay\n$LosungToday"

}



ReadRc
DateGet
ReadText
LosungGet
ShowLosung
